Bug 489641 - firefox.x86_64.3.0.7-1.fc10 no longer finds plugins
firefox.x86_64.3.0.7-1.fc10 no longer finds plugins
Status: CLOSED DUPLICATE of bug 437596
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
: 507092 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 23:08 EDT by Joe Christy
Modified: 2009-08-06 09:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-06 09:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 453689 None None None Never

  None (edit)
Description Joe Christy 2009-03-10 23:08:34 EDT
Description of problem:
firefox.x86_64.3.0.7-1.fc10 no longer finds plugins after update from prior version.

Version-Release number of selected component (if applicable):
3.0.7-1.fc10

How reproducible:
everytime

Steps to Reproduce:
1. Start with working x86_64 f10 firefox installation, using plugins
2. do yum update
3. try to use a plugin
4. enter url about:plugins
  
Actual results:
Firefox says that there is a missing plugin.
about:plugins shows no plugins

Expected results:
Firefox uses plugin to display content,
about_plugins show all installed plugins

Additional info:
[root@shango ~]# yum list \*plugin\* | egrep installed
...
gnash-plugin.x86_64                        0.8.4-5.fc10                installed
...
java-1.6.0-openjdk-plugin.x86_64           1:1.6.0.0-9.b14.fc10        installed
...
totem-mozplugin.x86_64                     2.24.3-1.fc10               installed
...
Comment 1 Joe Christy 2009-03-11 13:30:25 EDT
Curioser & curioser

Yesterday, after filing the intital bug report, I tried:

1) restarting firefox again (that was the first thing I tried before filing)

2) stopping firefox, waiting a minute or two, and re-starting

3) removing the plugins, re-installing them, and restarting firefox

all to no avail.

This morning, I stopped firefox, and tried to roll back to an earlier version, firefox-3.0.6-1.fc10.x86_64.rpm, with:
yum --allow-downgrade localinstall ~joe/tmp/firefox-3.0.6-1.fc10.x86_64.rpm
which *failed*:
/home/joe/tmp/firefox-3.0.6-1.fc10.x86_64.rpm: does not update installed package.

then, when I restarted firefox (still at 3.0.7-1.fc10) all my plugins were there.

Weird.
Comment 2 Matěj Cepl 2009-04-07 17:32:34 EDT
OK, putting this bug on probation ... if you manage to find a way how to reproduce this, please, let us know. Otherwise, unless I get in a month information how to reproduce this, I will have to close this as INSUFFICIENT_DATA.

Thank you
Comment 3 Luis Nabais 2009-04-28 12:20:21 EDT
I think I'm able to reproduce this using gnome-do. Basically when I start firefox normaly the plugins are loaded, if I type a url into gnome-do and let it open firefox the plugins fail to load.

using firefox-3.1-0.11.beta3.fc11.x86_64
Comment 4 Martin Stransky 2009-05-06 05:18:13 EDT
Taking this one although it looks like a problem with gnome-session.
Comment 5 ritz 2009-06-01 16:56:26 EDT
is reproducible, when starting ff from terminal using the entire path, atleast on x86_64 .

  $ /usr/lib64/firefox-<version>/firefox
Comment 6 Colin Walters 2009-06-01 17:02:42 EDT
I don't think starting firefox that way should be supported.  My guess is what's happening is firefox is setting that path as the session management restart command, when really it should be using /usr/bin/firefox.
Comment 7 ritz 2009-06-01 17:07:30 EDT
confirmed on i386, issue reproducible. seems that MOZ_PLUGINS_PATH needs to be set, which is done by the firefox script . 

gnome-session should probably be smarter, or ff should be built in with plugin path.
Comment 8 ritz 2009-06-01 17:31:41 EDT
upstream bz -
https://bugzilla.mozilla.org/show_bug.cgi?id=453689
Comment 9 Bug Zapper 2009-06-09 08:07:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-06-25 17:06:55 EDT
*** Bug 507092 has been marked as a duplicate of this bug. ***
Comment 11 Martin Stransky 2009-08-06 09:03:24 EDT

*** This bug has been marked as a duplicate of bug 437596 ***

Note You need to log in before you can comment on or make changes to this bug.